<!DOCTYPE html>
<html>
	<head>

			<meta charset="utf-8">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<title>HTML Attributes and Links</title>

	</head>

	<body>
		<!-- h2 tag will create a heading on our webpages -->
		<!-- the id attribute assigns a unique name identifier. -->
		<h2 align="center" id = "top">HTML Attributes</h2>

		<!-- align attribute - changes the alignment of the paragraph -->
		<p align="center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>
		<!-- &lt; and &gt; are called HTML entities. They are used to include special characters into text. -->
		<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em></p>
		<!-- img tag is used to include images. img tag creates inline elements -->
		<!-- src attribute accepts a url from an online resource. -->
		<img src="https://place-puppy.com/300x300"/>
		<p>
			<!-- code tag is used to define a place of computer code and displays text in browser using it's default monospace font. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"/&gt;
			</code>
		</p>

		<!-- In src attribute, we use relative linking. -->
			<img src="./images/zuittlogo.png"/>
		<p>
		<code>
				&lt;img src="./images/zuittlogo.png/&gt;
			</code>>
		</p>
		<p> Valid image extensions are the following:</p>
		<!-- type attribute changes the numbered points of the elements. The default type is the integer numbers. Types : 1 , a, A, i, I -->
		<!-- the reversed attribute reverses the order of the bullet points. -->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>		

		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>
		<!-- a that creates a hyperlink element when click will redirect to a different page. It is example of inline tag. -->
		<!-- href attribute means "hypertext reference" which is used to create a link to a different page. -->
		<!-- target ="_blank" to open a new tab for absolute linking.-->
		<a href="https://zuitt.co" target ="_blank"> I'm a hyperlink</a>

		<h4>Relative Linking</h4>
		<ul>

			<li>Go to <a href ="./link.html">link.html</a></li>

			<li>Go to <a href ="./images/images.html">images.html</a></li>

			<!-- Go to top using ID attribute -->
			<li>Go to <a href = "#">top</a></li>

		</ul>

	</body>
</html>